package com.yc.ship.module.trade.job;

import com.xxl.job.core.handler.annotation.XxlJob;
import com.yc.ship.framework.quartz.core.handler.JobHandler;
import com.yc.ship.framework.tenant.core.aop.TenantIgnore;
import com.yc.ship.framework.tenant.core.job.TenantJob;
import com.yc.ship.module.trade.service.smsSendconfig.MessageSendService;
import com.yc.ship.module.trade.service.smsSendconfig.SmsSendconfigService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


/**
 * 订单站内信消息任务
 *
 * @author qsl
 * @date 2023/03/06
 */
@Component
@Slf4j
public class OrderMessageJob implements JobHandler {
    @Resource
    private MessageSendService messageSendService;


    /***
     * @author qsl
     * 2026/3/6 17:38
     */
    @Override
    @TenantJob
    public String execute(String param) {
        log.info(">>>>>>>>>>>>>>>>>>>>>> 您的留位订单即将过期（开航前 8 天 中午12:00） <<<<<<<<<<<<<<<<<<<<<<");
        try {
            messageSendService.sendMsg1();
        } catch (Exception e) {
            log.error(">>>>>>>>>>>>>>>>>>>>>> 您的留位订单即将过期（开航前 8 天 中午12:00） Error <<<<<<<<<<<<<<<<<<<<<<");
            log.error(e.getMessage(), e);
        }
        log.info(">>>>>>>>>>>>>>>>>>>>>> 您的留位订单即将过期（开航前 8 天 中午12:00） End  <<<<<<<<<<<<<<<<<<<<<<");
        return "成功";
    }


}
